ParamsAwareLocaleChangeInterceptor (Grails 6.0.0)

Package: org.grails.web.i18n

## [Groovy] Class ParamsAwareLocaleChangeInterceptor

- org.grails.web.i18n.ParamsAwareLocaleChangeInterceptor

-     @groovy.transform.CompileStatic
      class ParamsAwareLocaleChangeInterceptor
      extends org.springframework.web.servlet.i18n.LocaleChangeInterceptor

  A LocaleChangeInterceptor instance that is aware of the Grails params object.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.slf4j.Logger` | `LOG` |
    `private org.springframework.web.servlet.LocaleResolver` | `localeResolver` |
    `private java.lang.String` | `paramName` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.servlet.i18n.LocaleChangeInterceptor` | `DEFAULT_PARAM_NAME`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.web.servlet.LocaleResolver` | `localeResolver`
    `java.lang.String` | `paramName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ParamsAwareLocaleChangeInterceptor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`
    `` | `void` | `setLocaleResolver(org.springframework.web.servlet.LocaleResolver localeResolver)`
    `` | `void` | `setParamName(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.servlet.i18n.LocaleChangeInterceptor` | `org.springframework.web.servlet.i18n.LocaleChangeInterceptor#setParamName(java.lang.String), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#getParamName(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#setHttpMethods([Ljava.lang.String;), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#getHttpMethods(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#setIgnoreInvalidLocale(boolean), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#isIgnoreInvalidLocale(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#setLanguageTagCompliant(boolean), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#isLanguageTagCompliant(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#preHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#wait(long), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#wait(long, int), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#wait(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#equals(java.lang.Object), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#toString(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#hashCode(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#getClass(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#notify(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#notifyAll(), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#postHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, org.springframework.web.servlet.ModelAndView), org.springframework.web.servlet.i18n.LocaleChangeInterceptor#afterCompletion(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, java.lang.Exception)`

- - ### Field Detail

    - #### private static final org.slf4j.Logger LOG

    - #### private org.springframework.web.servlet.LocaleResolver localeResolver

    - #### private java.lang.String paramName

  - ### Property Detail

    - #### org.springframework.web.servlet.LocaleResolver localeResolver

    - #### java.lang.String paramName

  - ### Constructor Detail

    - #### ParamsAwareLocaleChangeInterceptor()

  - ### Method Detail

    - #### @java.lang.Override boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) void setLocaleResolver(org.springframework.web.servlet.LocaleResolver localeResolver)

    - #### void setParamName(java.lang.String name)